#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-4)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-LWP-Protocol-https
Version		:	6.07
Release		:	14.4.0.0%{?dist}
Summary		:	Provide https support for LWP::UserAgent

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/LWP::Protocol::https

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

Requires	:	perl

#-----------------------------------------------------------------------------
%description
the LWP::Protocol::https module provides support for using
https schemed URLs with LWP. This module is a plug-in to the
LWP protocol handling, so you don't use it directly. Once the
module is installed LWP is able to access sites using HTTP over
SSL/TLS.

If hostname verification is requested by LWP::UserAgent's
ssl_opts, and neither SSL_ca_file nor SSL_ca_path is set,
then SSL_ca_file is implied to be the one provided by Mozilla::CA.
If the Mozilla::CA module isn't available SSL requests will fail.
Either install this module, set up an alternative SSL_ca_file or
disable hostname verification.

This module used to be bundled with the libwww-perl, but
it was unbundled in v6.02 in order to be able to declare its
dependencies properly for the CPAN tool-chain. Applications
that need https support can just declare their dependency on
LWP::Protocol::https and will no longer need to know what
underlying modules to install.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%{_datadir}/perl5/core_perl/LWP/Protocol/https.pm
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%changelog
